Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QStyleOptionTab.CornerWidget

    java.lang.Object
      java.lang.Enum<QStyleOptionTab.CornerWidget>
          com.trolltech.qt.gui.QStyleOptionTab.CornerWidget

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QStyleOptionTab.CornerWidget>

Enclosing class:
  QStyleOptionTab

    public static enum QStyleOptionTab.CornerWidget

extends java.lang.Enum<QStyleOptionTab.CornerWidget>
implements QtEnumerator

These flags indicate the corner widgets in a tab.

See Also:
  `cornerWidgets`

Enum Constant Summary
`LeftCornerWidget` Left corner widget
`NoCornerWidgets` There are no corner widgets
`RightCornerWidget` Right corner widget

Method Summary
`static QStyleOptionTab.CornerWidgets` | `createQFlags(QStyleOptionTab.CornerWidget... values)`
`static QStyleOptionTab.CornerWidget` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QStyleOptionTab.CornerWidget` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QStyleOptionTab.CornerWidget[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NoCornerWidgets

    public static final QStyleOptionTab.CornerWidget NoCornerWidgets

  There are no corner widgets

### LeftCornerWidget

    public static final QStyleOptionTab.CornerWidget LeftCornerWidget

  Left corner widget

### RightCornerWidget

    public static final QStyleOptionTab.CornerWidget RightCornerWidget

  Right corner widget

Method Detail

### values

    public static final QStyleOptionTab.CornerWidget[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QStyleOptionTab.CornerWidget c : QStyleOptionTab.CornerWidget.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QStyleOptionTab.CornerWidget valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QStyleOptionTab.CornerWidgets createQFlags(QStyleOptionTab.CornerWidget... values)

### resolve

    public static QStyleOptionTab.CornerWidget resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD